G++-4 failed with exit code 1 (When linking AU demo)


#1

During linking I get this error (After Compiling the AU demo),
g+±4 failed with exit code 1

I’m using Xcode 2.5 (libjuce.a compiled fine), juceAU.exp is the default in the demo and below is the juce.xconfig file

ARCHS = i386 ppc

// These settings let you build for compatibility with 10.3 onwards.

//MACOSX_DEPLOYMENT_TARGET_ppc = 10.3
MACOSX_DEPLOYMENT_TARGET = 10.4

// In XCode 3, this is the best SDK to use…
//SDKROOT = $(DEVELOPER_SDK_DIR)/MacOSX10.5.sdk

// (if you’re building in XCode 2.5, you might need to use this line
// instead of the 10.5 line above…)
SDKROOT = $(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk

Any help would be appreciated


#2

OK worked it out, I had to include the Cocoa Framework.